package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TestAaa{
    private Integer id;
    private String delFlag;
    private String testName;
    private String remark;
    private String imageUrl;
    private Date testTime;
    private String multiSelect;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getTestName(){
        return this.testName;
    }

    public void setTestName(String testName){
        this.testName = testName;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }
    public String getImageUrl(){
        return this.imageUrl;
    }

    public void setImageUrl(String imageUrl){
        this.imageUrl = imageUrl;
    }
    public Date getTestTime(){
        return this.testTime;
    }

    public void setTestTime(Date testTime){
        this.testTime = testTime;
    }
    public String getMultiSelect(){
        return this.multiSelect;
    }

    public void setMultiSelect(String multiSelect){
        this.multiSelect = multiSelect;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

